package v1alpha1

// This file contains a collection of methods that can be used from go-restful to
// generate Swagger API documentation for its models. Please read this PR for more
// information on the implementation: https://github.com/emicklei/go-restful/pull/215
//
// TODOs are ignored from the parser (e.g. TODO(andronat):... || TODO:...) if and only if
// they are on one line! For multiple line or blocks that you want to ignore use ---.
// Any context after a --- is ignored.
//
// Those methods can be generated by using hack/update-swagger-docs.sh

// AUTO-GENERATED FUNCTIONS START HERE
var map_NotStableConfigType = map[string]string{
	"":         "NotStableConfigType is a stable config type that is TechPreviewNoUpgrade only.\n\nCompatibility level 4: No compatibility is provided, the API can change at any point for any reason. These capabilities should not be used by applications needing long term support.",
	"metadata": "metadata is the standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata",
	"spec":     "spec is the specification of the desired behavior of the NotStableConfigType.",
	"status":   "status is the most recently observed status of the NotStableConfigType.",
}

func (NotStableConfigType) SwaggerDoc() map[string]string {
	return map_NotStableConfigType
}

var map_NotStableConfigTypeList = map[string]string{
	"":         "NotStableConfigTypeList contains a list of NotStableConfigTypes.\n\nCompatibility level 4: No compatibility is provided, the API can change at any point for any reason. These capabilities should not be used by applications needing long term support.",
	"metadata": "metadata is the standard list's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata",
}

func (NotStableConfigTypeList) SwaggerDoc() map[string]string {
	return map_NotStableConfigTypeList
}

var map_NotStableConfigTypeSpec = map[string]string{
	"":         "NotStableConfigTypeSpec is the desired state",
	"newField": "newField is a field that is tech preview, but because the entire type is gated, there is no marker on the field.",
}

func (NotStableConfigTypeSpec) SwaggerDoc() map[string]string {
	return map_NotStableConfigTypeSpec
}

var map_NotStableConfigTypeStatus = map[string]string{
	"":           "NotStableConfigTypeStatus defines the observed status of the NotStableConfigType.",
	"conditions": "Represents the observations of a foo's current state. Known .status.conditions.type are: \"Available\", \"Progressing\", and \"Degraded\"",
}

func (NotStableConfigTypeStatus) SwaggerDoc() map[string]string {
	return map_NotStableConfigTypeStatus
}

// AUTO-GENERATED FUNCTIONS END HERE
